Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#490 closed defect (fixed)

RTEMS 68681 Driver Bugs

Reported by: cedric_aubert Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Wrong Configuration of ACR[7] bit of the 68681 to select the
baudrate table.
Wrong usage of rtems_termios_dequeue_characters return
value, should not work at all in IRQ mode.

Release:
RTEMS-4.6.0-pre4

How-To-Repeat:
Just put a 68681 at 19200 (for the acr bit) and in IRQ mode
(only the first caracter was send at after Tx Hang)

Attachments (1)

mc68681.patch (2.3 KB) - added by cedric_aubert on 12/03/06 at 13:31:13.
mc68681.patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 09/26/03 at 19:06:15 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Appears to be superceded by PR499.

Changed on 12/03/06 at 13:31:13 by cedric_aubert

Attachment: mc68681.patch added

mc68681.patch

comment:2 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.